LINUX.ORG.RU

Eclipse 4.6.0 Neon

 ,


0

3

Вышла новая версия Eclipse 4.6.0 Neon. Eclipse — многофункциональная IDE (и платформа для таковой), на базе которой работает большое количество различных инструментов для разработки на разных языках программирования. Лицензия — EPL.

  • Для Java-разработчиков:
    • улучшена поддержка Gradle (поддержка включена по умолчанию в JDT);
    • улучшен content assistant.
  • Для JavaScript-разработчиков:
    • новые средства для разработки;
    • добавлена поддержка Grunt/Gulp;
    • добавлен редактор JSON;
    • добавлен отладчик Chromium V8.
  • Для PHP-разработчиков — PDT обновлен до PDT 4.0 с полной поддержкой PHP 7.
  • Для администраторов — улучшена поддержка Docker.
  • CDT 9.0, первый мажорный релиз с 2011 года.
  • улучшена поддержка HiDPI.

>>> Подробности

Кто нибудь еще пользуется им для разработки под андроид?

i3draven ()

Сколько памяти кушает новинка?

Twissel ★★★★★ ()
Ответ на: комментарий от i3draven

Кто-нибудь еще пользуется им для разработки?

// Fixed

vurdalak ★★★★★ ()

Оно по прежнему выглядит, как говно?

Unicode4all ★★★ ()
Ответ на: комментарий от Unicode4all

Да, gtk-интерфейсы всегда выглядят как говно. Надеюсь, когда-нибудь qt прикрутят.

Zomba444ok ()
Ответ на: комментарий от i3draven

Большинство адекватных разрабов.

Говноподелка от IDEA ещё хуже.

EXL ★★★★★ ()
Ответ на: комментарий от vurdalak

Я.
У меня в одном проекте python, js, angularjs, ещё всякая ерунда.

В одном UI только eclipse может. Пока я так emacs настрою, я умру.

Shadow ★★★★★ ()
Ответ на: комментарий от Shadow

Платная идея тоже может. Чистый js во всяком случае, не какие-нибудь ангуляроспецифичные менюшки.

vurdalak ★★★★★ ()

Luna

Mars

NEON

Что дальше? Oxygen?

EXL ★★★★★ ()
Ответ на: комментарий от Shadow

У меня в одном проекте python, js, angularjs, ещё всякая ерунда.

python, js, angularjs, ещё всякая ерунда.

Ты ведь понимаешь, что проблема здесь не в инструментах, а в разработчиках, которые это допустили?

anonymous ()
Ответ на: комментарий от Unicode4all

Как гуано выглядит тормозная свинговая «Есть ИДЕЯ - есть ИКЕЯ»(С)(R).

Eclipse выглядит как native приложение под Mac OS X(TM), OS X(TM) и macOS(TM).

Ибо С, С++, Objective-C, Objective-C++ - это единственно правильный язык (семейство языков) программирования.

А Java используется только там, где, увы(!) , в enterpriZe вынуждены её использовать.

Нищеброд не тот, кто не хочет платить «интеллижЫ» за их поделие, и пользуется свободным программным обеспечением Eclipse.

Ъ-нищеброд - это тот, кто «Мак» себе не может позволить купить.

Bioreactor ★★★★★ ()
Последнее исправление: Bioreactor (всего исправлений: 1)
Ответ на: комментарий от Unicode4all

Нет. В MS Windows, GNU/Linux и macOS Eclipse выглядит вполне себе нативненько. В отличие от других Java-поделок.

EXL ★★★★★ ()
Ответ на: комментарий от Bioreactor

Ибо С, С++, Objective-C, Objective-C++ - это единственно правильный язык (семейство языков) программирования.

А Java используется только там, где, увы(!) , в enterpriZe вынуждены её использовать.

Кто ты такой и что сделал с настоящим Bioreactor?

tailgunner ★★★★★ ()
Ответ на: комментарий от Bioreactor

Neon вполне научился в GTK3, так что теперь и под онтопиком выглядит хорошо, даже в тёмнов варианте.

xcariba ★★ ()
Ответ на: комментарий от Bioreactor

Считаете будущее остаётся за ними?

anonymous ()

Хорошая IDE, но только для Java SE. К сожалению, из всех ее компонентов планомерно развиваются только JDT и Platform. Поэтому улучшения для Java и UI появляются регулярно, а WTP, JSDT, DataTools и прочее Java EE давно и прочно находятся на уровне «бесполезное говно». Так же как исчерпала себя идея с воркспейсами. Oomph желание многих разработчиков хранить часть настроек глобально решает через одно место. Но вряд ли когда в Eclipse признают эту ошибку.

emcode ()

Оно уже научилось адекватному maven? Или по прежнему давится на елементарнийших проектах?

FeyFre ★★★★ ()
Ответ на: комментарий от xcariba

Ну разве что скроллинг перестал дико лагать как в прошлой версии. Черный tooltip так и не пофксили. Под Numix очень широкие тулбары. Поэтому, увы, пока только GTK2.

Иконки же под черную тему вообще неюзабельны, глаза вытекают в момент, не представляю как люди пользуются.

emcode ()
Ответ на: комментарий от FeyFre

Ничего не падает, но инкрементальный сборщик очень часто показывает ошибки там где их нет. Помогает ALT-F5. Ну мульти-модульный проект m2e по прежнему не умеет, про причине того что воркспейс не поддерживает вложенные проекты.

emcode ()
Ответ на: комментарий от xcariba

Правда в KDE-окружении GTK3-версия Eclipse выглядит убого.

EXL ★★★★★ ()

Последний раз его видел в 2009ом, но до сих пор не могу в себя прийти...

fornlr ★★★★★ ()
Ответ на: комментарий от EXL

Это недоразумение постоянно фейлит импорты, валится на дополнении Stream API и плодит пустые фреймы, а ввод текста в редакторе порой отстает на целое слово. Про организацию интерфейса (и менюшки в особенности) писать излишне.

GoodPerson ()
Ответ на: комментарий от emcode

Вместо wtp используют nodeclipse и еще редактор от автора liclipse.

Shadow ★★★★★ ()
Ответ на: комментарий от EXL

За большинство говорить надо отучаться. Ты то хоть пользуешься им для разработки под андроид? :)

Лично я к какой то из IDE не испытываю никаких эмоций, мне не десять лет :) Но гугл официально переехал, значит и пользуюсь студией.

i3draven ()
Ответ на: комментарий от i3draven

Но гугл официально переехал, значит и пользуюсь студией.

Но мухи слетелись на новую хипстерскую поделку и я полетел...

Пофиксил тебя.

Ты то хоть пользуешься им для разработки под андроид?

Да, пользуюсь. Ибо Eclipse нормально работает с NDK-проектами, чего до сих пор не может хвалёная идейка:

Когда я тыкал AS (четыре месяца назад) поддержка NDK там была на уровне: «вот вам сборочный файл нашего нового хипстерского DSL, но работать он не будет, пока вы в каком-то там файле не пропишите UseAndroidNdk=true, а после этого ничего работать тоже не будет, потому что плагин NDK, идущий в комлекте-бандле с AS экспериментальный и весьма ограниченный, а для того, чтобы всё немного работало качни-ка вот эти 200МБ с помощью GPRS».

(17.05.2016 10:00:13): С тех пор ничего не изменилось.

(c)

EXL ★★★★★ ()
Ответ на: комментарий от emcode

Не в падениях и не в мультимодульности дело. Он тупо не жрет валидные pom-ы. Предлагает их «исправлять». В связи с тем что подавляющее большинство проектов maven(остальное ant), то еклипс тут рядом не лежит.

FeyFre ★★★★ ()

В GTK кстати, выглядит очень даже ничего, не так инородно как раньше и даже шрифты радуют глаз... Но по-прежнему притормаживает и память жрет.

enso ★★★ ()
Последнее исправление: enso (всего исправлений: 1)

Для PHP-разработчиков: PDT обвновлен до PDT 4.0 с полной поддержкой PHP 7.

Ой, теперь пыхпыхШторм выкинуть можно, да?

TooPar ()
Ответ на: комментарий от i3draven

ADT перестал обновляться, и отказывается работать со свежими версиями SDK, так что либо фиксить ADT, либо съезжать на Android Studio.

no-dashi ★★★★★ ()
Последнее исправление: no-dashi (всего исправлений: 1)

Лучше бы глюки и тормоза почистили. Когда этот глюкодром начинает на каждый чих весь проект индексировать заново, то никакие «Новые средства для JS разработчиков» никому нахрен не упали

upcFrost ★★★★★ ()
Ответ на: комментарий от tailgunner

Ооо, уже форкнули? Надо посмотреть, а то эта сраная идея задолбала, так что спасибо за наводку.

no-dashi ★★★★★ ()
Ответ на: комментарий от EXL

Фиксишь ты неправильно, так как мысль проста «официальная поддержка эклипса прекращена» и мухи тут не причем, куда бы они там ни летели. Так что надо внимательно читать. Все просто. А по поводу ndk, не знаю, не пользуюсь.

i3draven ()
Ответ на: комментарий от emcode

Хм, у меня что-то другое вылазило, уже не помню, давно не открывал(точнее не у меня, у коллеги которая пыталась его открыть, у меня воспроизводилось когда-то) и лечилось оно чем-то вроде добавления секции <dependencyManagement>, или чего-то в этом роде. Но суть не в том. Суть в том, что под конкретную IDE проект править никто не будет. Ни этот, ни другие. Просто некогда разбираться, работать надо было. В итоге коллегу посадили на среду которая(netbeans вполне подошел) не давилась, и на этом лавочку закрыли.
Еклипс пусть развивается, может для чего и сгодится, но после ухода оттуда Андроида, и с такими косяками maven, у меня больше не было поводов его запускать.

FeyFre ★★★★ ()

Нуууу зооочиииим изобретать костыли, если уже есть emacs и evil-mode?

Лучше месяца два посидеть изучая емакс, чтобы всю последующую жизнь не иметь проблем с IDE

SL_RU ★★★ ()
Ответ на: комментарий от SL_RU

Лучше месяца два посидеть изучая емакс, чтобы всю последующую жизнь не иметь проблем с IDE

This. Действительно сложно себе представить, как ты заимеешь проблемы с IDE, используя (хреновенький) редактор текста...

ptarh ★★★★★ ()
Ответ на: комментарий от ptarh

Лучше месяца два посидеть изучая емакс, чтобы всю последующую жизнь не иметь проблем с программами для написания кода.

SL_RU ★★★ ()

Ваще-то Neon релизнулся 22 июня. Ничего себе месячная «нововость», протухнуть уже успела. А хомячков все равно понабежало похейтить. Мдя...хомячки, они такие.

Eclipse Neon Release Train Now Available (https://www.eclipse.org/org/press-release/20160622_neon.php)

anonymous ()
Ответ на: комментарий от EXL

Большинство адекватных разрабов.

В Google видно неадекваты, по вашей логике.

Говноподелка от IDEA ещё хуже.

Троллим и не знаем, что IDEA - название продукта, а делает его не IDEA, а Jetbrains? Теряете форму, уважаемый :3

mcgeek ()
Ответ на: комментарий от Bioreactor

Ъ-нищеброд - это тот, кто «Мак» себе не может позволить купить.

На сайте юниксоидов, эта мразь пытается какие-то намёки делать?

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.